# Copyright (C) 2019 Hannu Viitala
#
# The source code in this file is released under the MIT license.
# Go to http://opensource.org/licenses/MIT for the full license details.
#
# The graphics in this file are released under the Creative Commons Attribution license (CC-BY).
# Go to https://creativecommons.org/licenses/by/4.0/ for the full license details.

import upygame as pygame

# pokitto picture
w2 = 14
h2 = 14
pokittoPixels1  = b'\
\x00\x00\xc0\x00\x00\x00\x00\
\x00\x00\xcc\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x0c\xcc\xcc\xcc\xcc\x00\x0c\
\xc0\xcc\xcc\x0c\xcc\xc0\xcc\
\xc0\xc0\xcc\xc0\xcc\xc0\x00\
\xc0\xcc\xcc\xcc\xc0\xc0\x00\
\xc0\xc0\xcc\xcc\xc0\xc0\x00\
\xc0\xcc\xcc\xc0\xcc\xc0\x00\
\xc0\x00\x0c\x00\x0c\xc0\xcc\
\x0c\xcc\xcc\xc0\xcc\x00\x0c\
\x00\x00\x0c\x00\x00\x00\x00\
\x00\x00\xcc\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
'
pokittoSurf_f1 = pygame.surface.Surface(w2, h2, pokittoPixels1)

# pokitto picture
pokittoPixels2  = b'\
\x00\x00\xc0\x00\x00\x00\x00\
\x00\x00\xcc\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x0c\xcc\xcc\xcc\xcc\x00\x0c\
\xc0\xcc\xcc\x0c\xcc\xc0\xcc\
\xc0\xc0\xcc\xc0\xcc\xc0\x00\
\xc0\xcc\xcc\xcc\xc0\xc0\x00\
\xc0\xc0\xcc\xcc\xc0\xc0\x00\
\xc0\xcc\xcc\xc0\xcc\xc0\x00\
\xc0\x00\x0c\x00\x0c\xc0\xcc\
\x0c\xcc\xcc\xc0\xcc\x00\x0c\
\x00\x00\x0c\x00\x00\x00\x00\
\x00\x00\xcc\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
'
pokittoSurf_f2 = pygame.surface.Surface(w2, h2, pokittoPixels2)

# pokitto picture
pokittoPixels3  = b'\
\x00\x00\xc0\x00\x00\x00\x00\
\x00\x00\xcc\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
\x0c\xcc\xcc\xcc\xcc\x00\x0c\
\xc0\xcc\xcc\x0c\xcc\xc0\xcc\
\xc0\xc0\xcc\xc0\xcc\xc0\x00\
\xc0\xcc\xcc\xcc\xc0\xc0\x00\
\xc0\xc0\xcc\xcc\xc0\xc0\x00\
\xc0\xcc\xcc\xc0\xcc\xc0\x00\
\xc0\x00\x0c\x00\x0c\xc0\xcc\
\x0c\xcc\xcc\xc0\xcc\x00\x0c\
\x00\x00\x0c\x00\x00\x00\x00\
\x00\x00\xcc\x00\x00\x00\x00\
\x00\x00\x00\x00\x00\x00\x00\
'
pokittoSurf_f3 = pygame.surface.Surface(w2, h2, pokittoPixels3)

# Blue enemy sprite frames
w = 10
h = 10
blueenemyPixels_f1  = b'\
\x00\x00\x00\x00\x00\
\x0f\xff\x00\x00\x00\
\xff\x0f\xf0\xf0\x00\
\xff\x00\xff\x0f\x00\
\xff\xff\xff\x0f\xf0\
\xff\xff\xff\x0f\xf0\
\xff\x00\xff\x0f\x00\
\xff\x0f\xf0\xf0\x00\
\x0f\xff\x00\x00\x00\
\x00\x00\x00\x00\x00\
'
blueenemySurf_f1 = pygame.surface.Surface(w, h, blueenemyPixels_f1)

blueenemyPixels_f2  = b'\
\x00\x00\x00\x00\x00\
\x0f\xff\x00\x00\x00\
\xff\x0f\xf0\xf0\x00\
\xff\x00\xff\x0f\x00\
\xff\xff\xff\x00\xf0\
\xff\xff\xff\x00\xf0\
\xff\x00\xff\x0f\x00\
\xff\x0f\xf0\xf0\x00\
\x0f\xff\x00\x00\x00\
\x00\x00\x00\x00\x00\
'
blueenemySurf_f2 = pygame.surface.Surface(w, h, blueenemyPixels_f2)

blueenemyPixels_f3  = b'\
\x00\x00\x00\x00\x00\
\x0f\xff\x00\x00\x00\
\xff\x0f\xf0\xf0\x00\
\xff\x00\xff\x0f\xf0\
\xff\xff\xff\x00\x0f\
\xff\xff\xff\x00\x0f\
\xff\x00\xff\x0f\xf0\
\xff\x0f\xf0\xf0\x00\
\x0f\xff\x00\x00\x00\
\x00\x00\x00\x00\x00\
'
blueenemySurf_f3 = pygame.surface.Surface(w, h, blueenemyPixels_f3)

# Red enemy sprite frames
w = 10
h = 10
redenemyPixels_f1  = b'\
\x00\x0a\xaa\x0a\xa0\
\x0a\xaa\xaa\x00\xa0\
\xaa\xaa\xa0\xa0\x00\
\xaa\xaa\x0a\x0a\x00\
\x00\x00\x0a\xaa\xa0\
\xaa\xaa\x0a\x0a\x00\
\xaa\xaa\xa0\xa0\x0a\
\x0a\xaa\xaa\x00\xaa\
\x00\x0a\xaa\x00\x00\
\x00\x00\x00\x00\x00\
'
redenemySurf_f1 = pygame.surface.Surface(w, h, redenemyPixels_f1)

redenemyPixels_f2  = b'\
\x00\x0a\xaa\x00\xaa\
\x0a\xaa\xaa\x00\x0a\
\xaa\xaa\xa0\xa0\x00\
\xaa\xaa\x0a\x0a\x00\
\x00\x00\x0a\xaa\xa0\
\xaa\xaa\x0a\x0a\x00\
\xaa\xaa\xa0\xa0\x00\
\x0a\xaa\xaa\x00\x0a\
\x00\x0a\xaa\x00\xaa\
\x00\x00\x00\x00\x00\
'
redenemySurf_f2 = pygame.surface.Surface(w, h, redenemyPixels_f2)

redenemyPixels_f3  = b'\
\x00\x0a\xaa\x00\x00\
\x0a\xaa\xaa\x00\xaa\
\xaa\xaa\xa0\xa0\x0a\
\xaa\xaa\x0a\x0a\x00\
\x00\x00\x0a\xaa\xa0\
\xaa\xaa\x0a\x0a\x00\
\xaa\xaa\xa0\xa0\x00\
\x0a\xaa\xaa\x00\xa0\
\x00\x0a\xaa\x0a\xa0\
\x00\x00\x00\x00\x00\
'
redenemySurf_f3 = pygame.surface.Surface(w, h, redenemyPixels_f3)

# Laser frames
w = 4
h = 4
laserPixels_deg0  = b'\
\x00\xf0\
\xff\x0f\
\x00\xf0\
\x00\x00\
'
laserSurf_deg0 = pygame.surface.Surface(w, h, laserPixels_deg0)
laserPixels_deg45  = b'\
\x00\xff\
\x0f\xff\
\x0f\x00\
\xf0\x00\
'
laserSurf_deg45 = pygame.surface.Surface(w, h, laserPixels_deg45)
laserPixels_deg90  = b'\
\x0f\x00\
\xf0\xf0\
\x0f\x00\
\x0f\x00\
'
laserSurf_deg90 = pygame.surface.Surface(w, h, laserPixels_deg90)
laserPixels_deg135  = b'\
\xff\x00\
\xff\xf0\
\x00\xf0\
\x00\x0f\
'
laserSurf_deg135 = pygame.surface.Surface(w, h, laserPixels_deg135)
laserPixels_deg180  = b'\
\x0f\x00\
\xf0\xff\
\x0f\x00\
\x00\x00\
'
laserSurf_deg180 = pygame.surface.Surface(w, h, laserPixels_deg180)
laserPixels_deg225  = b'\
\x00\x0f\
\x00\xf0\
\xff\xf0\
\xff\x00\
'
laserSurf_deg225 = pygame.surface.Surface(w, h, laserPixels_deg225)
laserPixels_deg270  = b'\
\x0f\x00\
\x0f\x00\
\xf0\xf0\
\x0f\x00\
'
laserSurf_deg270 = pygame.surface.Surface(w, h, laserPixels_deg270)
laserPixels_deg315  = b'\
\xf0\x00\
\x0f\xf0\
\x00\xff\
\x00\xff\
'
laserSurf_deg315 = pygame.surface.Surface(w, h, laserPixels_deg315)

# Map 16x16
mapPixels  = b'\
\x3c\xcc\xcc\xcc\xcc\xcc\xcc\xc3\
\xb7\x00\x00\x00\x00\x00\x00\x0b\
\xb7\x00\x00\x00\x00\x00\x00\x0b\
\xb7\x00\x00\x00\xdd\xdd\x20\x0b\
\xb7\x00\x00\x00\x3c\xc3\x70\x0b\
\xb7\x00\x00\x00\xb7\x0b\x70\x0b\
\xb7\x00\x00\x00\xb4\xdb\x70\x0b\
\xb7\x00\xd2\x00\x3c\xc3\x70\x0b\
\xb7\x00\xb7\x00\x00\x00\x00\x0b\
\xb7\x00\xb7\x00\x00\x00\x00\x0b\
\xb7\x00\xb4\xdd\x20\x00\x00\x0b\
\xb7\x00\x3c\xcc\x70\x00\x00\x0b\
\xb7\x00\x00\x00\x00\x00\x00\x0b\
\xb7\x00\x00\x00\x00\x00\x00\x0b\
\xb4\xdd\xdd\xdd\xdd\xdd\xdd\xdb\
\x3c\xcc\xcc\xcc\xcc\xcc\xcc\xc3\
'
blackTilePixels  = b'\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
'
blackTileSurf = pygame.surface.Surface(8, 8, blackTilePixels)

wallHTilePixels  = b'\
\x55\x95\x99\x99\
\x55\x59\x59\x99\
\x05\x95\x99\x99\
\x55\x59\x95\x99\
\x55\x95\x99\x99\
\x05\x59\x59\x90\
\x55\x95\x99\x99\
\x55\x59\x95\x99\
'
wallHTileSurf = pygame.surface.Surface(8, 8, wallHTilePixels)

wallVTilePixels  = b'\
\x99\x09\x99\x99\
\x99\x99\x99\x99\
\x99\x95\x99\x95\
\x95\x99\x95\x99\
\x59\x59\x59\x59\
\x95\x95\x95\x95\
\x55\x55\x55\x55\
\x55\x05\x50\x55\
'
wallVTileSurf = pygame.surface.Surface(8, 8, wallVTilePixels)

wallCornerTilePixels  = b'\
\x09\x59\x99\x90\
\x55\x59\x59\x99\
\x55\x95\x99\x99\
\x55\x55\x59\x59\
\x59\x55\x95\x99\
\x55\x55\x55\x59\
\x55\x59\x55\x95\
\x05\x55\x59\x50\
'
wallCornerTileSurf = pygame.surface.Surface(8, 8, wallCornerTilePixels)

shadowHTilePixels  = b'\
\x09\x09\x00\x00\
\x90\x90\x90\x00\
\x09\x99\x00\x00\
\x00\x90\x90\x00\
\x09\x09\x00\x00\
\x90\x99\x90\x00\
\x09\x09\x00\x00\
\x00\x90\x90\x00\
'
shadowHTileSurf = pygame.surface.Surface(8, 8, shadowHTilePixels)

shadowVTilePixels  = b'\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x90\x90\x90\x90\
\x09\x99\x09\x09\
\x90\x90\x99\x90\
\x09\x09\x09\x09\
\x00\x90\x00\x90\
'
shadowVTileSurf = pygame.surface.Surface(8, 8, shadowVTilePixels)

shadowCorner1TilePixels  = b'\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x00\x00\x00\x00\
\x90\x90\x00\x00\
\x09\x09\x00\x00\
\x99\x90\x90\x00\
\x09\x09\x00\x00\
\x90\x99\x90\x00\
'
shadowCorner1TileSurf = pygame.surface.Surface(8, 8, shadowCorner1TilePixels)

shadowCorner2TilePixels  = b'\
\x09\x09\x00\x00\
\x90\x90\x90\x00\
\x09\x99\x00\x00\
\x00\x90\x90\x90\
\x09\x09\x99\x09\
\x90\x90\x90\x90\
\x09\x09\x09\x09\
\x00\x90\x00\x90\
'
shadowCorner2TileSurf = pygame.surface.Surface(8, 8, shadowCorner2TilePixels)


